Skip to main content
GET
/
polymarket
/
holders
/
positions
/
{position_id}
/
history
Get position holders history
curl --request GET \
  --url https://api.struct.to/v1/polymarket/holders/positions/{position_id}/history
[
  {
    "t": 123,
    "h": 123,
    "block": 123,
    "tosb": 123,
    "cb": 123,
    "mh": 123,
    "eh": 123
  }
]

Path Parameters

position_id
string
required

Position ID (ERC1155 token ID)

Query Parameters

from
integer<int64>

Start timestamp (Unix seconds). If omitted, derived from hours.

to
integer<int64>

End timestamp (Unix seconds). Defaults to now.

count_back
integer<int32>

Number of candles to return (default: 500, max: 2500)

hours
number<double>

Fallback time range in hours when from/to are not provided (default: 24, max: 336 = 14 days)

pagination_key
string

Cursor-based pagination key from previous response

Response

Position holder history.

t
integer<int64>
required

Unix seconds.

h
integer<int64> | null

Holder count.

block
integer<int64> | null

Latest block.

tosb
number<double> | null

Total open share balance.

cb
number<double> | null

Total cost basis.

mh
integer<int64> | null

Market holder count.

eh
integer<int64> | null

Event holder count.

Last modified on June 17, 2026